//
//  GM.h
//  Wumbo
//
//  Created by Wade McGillis on 11/14/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//

#ifndef __GM_h__
#define __GM_h__

#include "GM-Sprite.h"
#include "Wumbo-Program.h"
#include "Wumbo-InputManager.h"

namespace GM
{
	extern Wumbo::Program *__GM_WUMBO_PROGRAM;
	extern Wumbo::Renderer *__GM_WUMBO_RENDERER;
	extern Wumbo::InputManager *__GM_WUMBO_INPUTMANAGER;
	
	extern void gm_wumbo_init(Wumbo::Program *prog);
	
};

#include "GM-Sprite.h"
#include "GM-Texture.h"
#include "GM-Ini.h"

#endif /* defined(__Wumbo__GM__) */
