//
//  Shader.vsh
//  Wumbo
//
//  Created by Wade McGillis on 10/26/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//
#version 120
attribute vec4 position;
attribute vec4 color;
attribute vec2 texcoord0;

/*uniform lowp vec2 displaySize;
uniform lowp vec2 objectPosition;
uniform lowp vec2 objectScale;
uniform lowp vec2 displayOffset;*/

uniform mat3 supermatrix;

varying vec4 vertexColor;
varying vec2 texcoord0frag;

void main()
{
	vec4 finalPosition = position;
	/*finalPosition.x = ((position.x + objectPosition.x * objectScale.x - displayOffset.x)/(displaySize.x/2.0)-1.0);
	finalPosition.y = -((position.y + objectPosition.y * objectScale.y - displayOffset.y)/(displaySize.y/2.0)-1.0);*/
	
	finalPosition.x = ((position.x + supermatrix[0][0] * supermatrix[0][2] - supermatrix[2][0])/(supermatrix[1][1]/2.0)-1.0);
	finalPosition.y = -((position.y + supermatrix[0][1] * supermatrix[1][0] - supermatrix[2][1])/(supermatrix[1][2]/2.0)-1.0);
	

	//finalPosition.y *= -1.0;//finalPosition.y;
	
    vertexColor = color;
    texcoord0frag = texcoord0;
	vec4 pos = position;
	finalPosition.x += .25*sin(finalPosition.y * 3.141592635 + supermatrix[2][2]);
    gl_Position = finalPosition;
}/*
attribute vec4 position;
attribute vec4 color;
attribute vec2 texcoord0;

uniform vec2 displaySize;
uniform vec2 objectPosition;
uniform vec2 objectScale;
uniform vec2 displayOffset;

varying lowp vec4 vertexColor;
varying lowp vec2 texcoord0frag;

void main()
{
	vec4 finalPosition = (0.0,0.0,0.0,0.0);
	finalPosition.x = (position.x + objectPosition.x * objectScale.x - displayOffset.x)/(displaySize.x/2.0)-1.0;
	finalPosition.y = -((position.y + objectPosition.y * objectScale.y - displayOffset.y)/(displaySize.y/2.0)-1.0);

	vertexColor = color;
	texcoord0frag = texcoord0;
	//vec4 pos = position;
	//pos.x += .25*sin(position.y * 3.141592635);
	gl_Position = finalPosition;
}*/
/*
 attribute vec4 position;
 attribute vec4 color;
 attribute vec2 texcoord0;
 
 uniform vec2 displaySize;
 uniform vec2 objectPosition;
 uniform vec2 objectScale;
 uniform vec2 displayOffset;
 
 varying lowp vec4 vertexColor;
 varying lowp vec2 texcoord0frag;
 
 void main()
 {
 vec4 finalPosition = position;
 finalPosition.x += finalPosition.x + objectPosition.x * objectScale.x - displayOffset.x;
 finalPosition.y += objectPosition.y * objectScale.y - displayOffset.y;
 
 finalPosition.x /= (displaySize.x/2.0);
 finalPosition.y /= (displaySize.y/2.0);
 
 finalPosition -= vec4(1.0,1.0,0,0);
 finalPosition.y *= -1.0;//finalPosition.y;
 
 vertexColor = color;
 texcoord0frag = texcoord0;
 //vec4 pos = position;
 //pos.x += .25*sin(position.y * 3.141592635);
 gl_Position = finalPosition;
 }
 */
