//
//  Platform_iOS.h
//  Wumbo
//
//  Created by Wade McGillis on 11/25/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//

#ifndef __Wumbo_Platform_iOS_h__
#define __Wumbo_Platform_iOS_h__
#include "Wumbo-Header.h"
#if PLATFORM_PC
typedef enum
{
UIDeviceOrientationUnknown,
UIDeviceOrientationPortrait,            // Device oriented vertically, home button on the bottom
UIDeviceOrientationPortraitUpsideDown,  // Device oriented vertically, home button on the top
UIDeviceOrientationLandscapeLeft,       // Device oriented horizontally, home button on the right
UIDeviceOrientationLandscapeRight,      // Device oriented horizontally, home button on the left
UIDeviceOrientationFaceUp,              // Device oriented flat, face up
UIDeviceOrientationFaceDown             // Device oriented flat, face down
} UIDeviceOrientation;
#endif

namespace Wumbo
{
	class Program;
	
	namespace Platform_iOS
	{
		extern bool __ipad;
		extern bool __fourinch;
		
		extern void INITIALIZE_VALUES(Program *program);
		extern bool iPad();
		extern bool FourInch();
		
		extern UIDeviceOrientation getDeviceOrientation();
	};
};

#endif /* defined(__Wumbo__Platform_iOS__) */
